Subject: RE: [netlmm] Conclusion of the discussion so far... Multihoming withPMIP

From: "Ahmad Muhanna" <[email-masked]>
Date: Thu, 11 Oct 2007 20:42:48 -0500

Hi George, 
Initially I wanted to send my comments offline but I thought sending
them over the mailing list is more beneficial, however, I forgot the
offline thing in the subject. Now removed.

Regards,
Ahmad

> -----Original Message-----
> From: Muhanna, Ahmad (RICH1:2H10) 
> Sent: Friday, October 12, 2007 3:30 AM
> To: 'Tsirtsis, George'; 'Soininen Jonne (NSN FI/Espoo)'; 
> 'NetLMM Mailing List'
> Subject: FW: [offline] [netlmm] Conclusion of the discussion 
> so far... Multihoming withPMIP
> 
> 
> Hi George,
> Please see some question/comment inline.
> 
> Regards,
> Ahmad
>  
> > 
> > I agree there has been significant progress and the two 
> solutions on 
> > the table are in fact fairly close to each other. At this point IMO 
> > the two solutions have one issue that creates some 
> uncertainty and one 
> > important difference.
> > 
> > 1) The Issue generating uncertainty:
> > 
> > 	- Editing team's solution requires the LMA to know via "policy"
> > whether the same prefix can be allocated to two different access 
> > technology interfaces.
> > 
> > 	- Christian's solution requires the MAG to somehow know 
> the Interface 
> > ID of a Virtual Interface.
> > 
> > It is clear that how such thing can be known is outside the 
> scope of 
> > the base specification and at this point in time there is some 
> > uncertainty about whether and when the IETF will provide 
> solutions to 
> > these issues.
> > It is, however, reasonable and realistic that other organizations 
> > (3GPP,
> > 3GPP2 etc) can define how these issues can be solved within 
> their own 
> > systems.
> > 
> > IMHO, the two solutions require equivalent amount of work 
> outside the 
> > base specification to make PMIP work for inter-technology handoffs.
> > 
> > 2) The important difference
> > 
> > 	- Editing team's solution differentiates between access 
> technologies.
> > 	- Christian's solution differentiates between Interfaces.
> > 
> > The difference between the two can be seen as a granularity 
> > difference.
> > 
> > The Interface model normally recognizes individual physical 
> > interfaces.
> > It then allows for such physical interfaces to be 
> explicitly grouped 
> > under a Virtual Interface, for the purposes of inter-technology 
> > handoff.
> > 
> > The access technology model, only recognizes access type. 
> The obvious 
> > and undeniable issue with this approach is that two physical 
> > interfaces of the same access type can not be 
> differentiated between 
> > and are recognized as the same thing.
> > 
> > So, a host with two interfaces of the same type, attached 
> to the same 
> > PMIP domain is guarantied to face the multi-homing issues we are 
> > trying to resolve with this discussion. This is clearly not 
> the case 
> > in the interface model, and for this reason the interface 
> model is a 
> > superior and more generic solution.
> 
> 
> [Ahmad]
> What kind of access technology we are talking about here?
> 
> Do you have an example of certain deployment where (a generic 
> and an existing IPv6 host) has more than one interface using 
> the same access technology?
> 
> If that example exist what is the possibility for this host 
> to use the same PMIPv6 domain and land on the same LMA using 
> two different MAGs?
> 
> A real example may help me understand the issue you are 
> trying to solve.
> 
>   
> > 
> > 
> > Conclusion
> > ----------
> > Given the clear advantage of the per interface model and 
> the fact that 
> > both solutions have similar level of uncertainty and work 
> to be done, 
> > either in IETF or other SDOs, I do not understand how the Editing 
> > team's solution can be justified.
> 
> [Ahmad]
> We can talk about the conclusion after understanding the real 
> example you will provide me.
> I mean, of course, your assumption leads to your above conclusion.
> 
> Many thanks in advance.
> 
> Regards,
> Ahmad
> 
> > 
> > Best Regards
> > George
> > -----Original Message-----
> > From: Soininen Jonne (NSN FI/Espoo) [mailto:[email-masked]]
> > Sent: Friday, October 12, 2007 6:50 AM
> > To: 'NetLMM Mailing List'
> > Subject: [netlmm] Conclusion of the discussion so far... 
> > Multihoming withPMIP
> > 
> > <Chair hat on>
> > Everybody,
> > 
> > We have come a long way since last week. Last week our 
> discussion was 
> > about deciding if we should handle the issue of multihoming 
> by leaving 
> > it out of scope or not. However, this week we have 
> concentrated on the 
> > discussion, how to solve the issue in the document. So, I 
> believe that 
> > we are in a totally different situation than we were a week ago: We 
> > have reached consensus to solve the multihoming issue in 
> the document
> > - now the discussion is just about what is the technical 
> solution to 
> > solve the issue.
> > 
> > It seems that the solution has converged into two solutions:
> > 
> > (These solutions are listed in the order of proposal)
> > 
> > 1) The editing team of the PMIP base spec have proposed text to the 
> > document for a way forward 
> > 
> (http://www1.ietf.org/mail-archive/web/netlmm/current/msg03756.html),
> > and
> > further modified it with (
> > http://www1.ietf.org/mail-archive/web/netlmm/current/msg03863.html).
> > 
> > 2) Christian proposed a different solution 
> > 
> (http://www1.ietf.org/mail-archive/web/netlmm/current/msg03764.html),
> > which
> > has also gotten support on the list.
> > 
> > On both solutions pros and cons have been stated, and it is 
> clear that 
> > through e-mail discussion a consensus cannot be reached anymore.
> > 
> > We have to now find a way forward as this seems to be one 
> of the few 
> > remaining issues on the draft. I will talk to the people 
> involved to 
> > find out if a solution can be found, or if we would have to go to a 
> > consensus call on the topic.
> > 
> > I will get back to the list with a way forward on Friday evening.
> > 
> > I hope this helps.
> > 
> > Cheers,
> > 
> > Jonne.  
> > --
> > Jonne Soininen
> > Nokia Siemens Networks
> > 
> > Tel: +358 40 527 46 34
> > E-mail: [email-masked]
> > 
> > 
> > 
> > 
> > _______________________________________________
> > netlmm mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/netlmm
> > 
> > 
> > _______________________________________________
> > netlmm mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/netlmm
> > 
> 

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm